|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface WrappedRequest
A generic request to the server, wrapping a more specific request type, e.g. HttpServletReqest or PortletRequest.
| Nested Class Summary | |
|---|---|
static interface |
WrappedRequest.BrowserDetails
Detailed information extracted from the browser. |
| Method Summary | |
|---|---|
Object |
getAttribute(String name)
Gets a request attribute. |
WrappedRequest.BrowserDetails |
getBrowserDetails()
Gets detailed information about the browser from which the request originated. |
int |
getContentLength()
Returns the length of the request content that can be read from the input stream returned by getInputStream(). |
String |
getContentType()
Returns the MIME type of the body of the request, or null if the type is not known. |
DeploymentConfiguration |
getDeploymentConfiguration()
Gets the deployment configuration for the context of this request. |
String |
getHeader(String headerName)
Gets the value of a request header, e.g. |
InputStream |
getInputStream()
Returns an input stream from which the request content can be read. |
Locale |
getLocale()
Gets locale information from the query, e.g. |
String |
getParameter(String parameter)
Gets the named request parameter This is typically a HTTP GET or POST parameter, though other request types might have other ways of representing parameters. |
Map<String,String[]> |
getParameterMap()
Gets all the parameters of the request. |
String |
getRemoteAddr()
Returns the IP address from which the request came. |
String |
getRequestPathInfo()
Gets the path of the requested resource relative to the application. |
Object |
getSessionAttribute(String name)
Gets an attribute from the session associated with this request. |
int |
getSessionMaxInactiveInterval()
Returns the maximum time interval, in seconds, that the session associated with this request will be kept open between client accesses. |
boolean |
isSecure()
Checks whether the request was made using a secure channel, e.g. |
void |
setAttribute(String name,
Object value)
Defines a request attribute. |
void |
setSessionAttribute(String name,
Object attribute)
Saves an attribute value in the session associated with this request. |
| Method Detail |
|---|
String getParameter(String parameter)
parameter - the name of the parameter
null if no parameter with the
given name is presentServletRequest.getParameter(String),
javax.portlet.PortletRequest#getParameter(String)Map<String,String[]> getParameterMap()
getParameter(String),
ServletRequest.getParameterMap(),
javax.portlet.PortletRequest#getParameter(String)int getContentLength()
getInputStream().
ServletRequest.getContentLength(),
javax.portlet.ClientDataRequest#getContentLength()
InputStream getInputStream()
throws IOException
getContentLength()
without reading the full stream contents.
IOException - if the input stream can not be openedServletRequest.getInputStream(),
javax.portlet.ClientDataRequest#getPortletInputStream()Object getAttribute(String name)
name - the name of the attribute
null if there is no
attribute with the given nameServletRequest.getAttribute(String),
javax.portlet.PortletRequest#getAttribute(String)
void setAttribute(String name,
Object value)
name - the name of the attributevalue - the attribute valueServletRequest.setAttribute(String, Object),
javax.portlet.PortletRequest#setAttribute(String, Object)String getRequestPathInfo()
null if no path information is available. Does
always start with / if the path isn't null.
HttpServletRequest.getPathInfo()int getSessionMaxInactiveInterval()
HttpSession.getMaxInactiveInterval(),
javax.portlet.PortletSession#getMaxInactiveInterval()Object getSessionAttribute(String name)
name - the name of the attribute
null if the attribute is not
defined in the sessionHttpSession.getAttribute(String),
javax.portlet.PortletSession#getAttribute(String)
void setSessionAttribute(String name,
Object attribute)
name - the name of the attributeattribute - the attribute valueHttpSession.setAttribute(String, Object),
javax.portlet.PortletSession#setAttribute(String, Object)String getContentType()
ServletRequest.getContentType(),
javax.portlet.ResourceRequest#getContentType()WrappedRequest.BrowserDetails getBrowserDetails()
Application.getRoot(com.vaadin.terminal.WrappedRequest) is called again
after throwing RootRequiresMoreInformationException or in
Root.init(WrappedRequest) for a Root class not annotated with
EagerInit
null if details are not
availableWrappedRequest.BrowserDetailsLocale getLocale()
ServletRequest.getLocale(),
PortletRequest#getLocale()String getRemoteAddr()
null if the
address is not availableServletRequest.getRemoteAddr()boolean isSecure()
ServletRequest.isSecure(),
PortletRequest#isSecure()String getHeader(String headerName)
HttpServletRequest.
headerName - the name of the header
null if the header is not
present in the requestHttpServletRequest.getHeader(String)DeploymentConfiguration getDeploymentConfiguration()
DeploymentConfiguration
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||